Bug 1119149 - Gnome Color Manager causes full CPU utilization
Summary: Gnome Color Manager causes full CPU utilization
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-color-manager
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 06:58 UTC by Trae Santiago
Modified: 2015-06-29 21:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:50 UTC


Attachments (Terms of Use)
GCM viewer high CPU utilization (172.83 KB, image/png)
2014-07-14 06:58 UTC, Trae Santiago
no flags Details

Description Trae Santiago 2014-07-14 06:58:17 UTC
Created attachment 917685 [details]
GCM viewer high CPU utilization

Description of problem:
If certain functions of the Gnome Color Manager are used the gcm-viewer process begins to use 100% CPU and fails to terminate after the window is closed.

Version-Release number of selected component (if applicable):
3.10.1-2.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open the Fedora settings panel 
2. Select 'Color'
3. Select any device
4. Select (any?) color profile
5. Press the 'View details' button on the bottom right

Actual results:
Extremely high CPU utilization (seems like a full core) and process not terminating after window is closed.

Expected results:
Reasonable CPU utilization and process termination when window is closed.

Additional info:
Fedora 20 running current (as of filing) updates.

Comment 1 Adam Williamson 2014-07-14 17:16:30 UTC
FWIW, tried to reproduce this in Fedora 21; it doesn't break in the same way, but instead crashes when clicking 'View details'. I'll file that crash separately.

Comment 2 Adam Williamson 2014-07-14 17:23:58 UTC
Filed F21 crash as https://bugzilla.redhat.com/show_bug.cgi?id=1119408 .

Comment 3 Fedora End Of Life 2015-05-29 12:21:51 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:34:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.